Bug 38777 - Inserting 10000 items into ListView causes UWP app to exit
Summary: Inserting 10000 items into ListView causes UWP app to exit
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.0.0
Hardware: PC Mac OS
: Normal major
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-02-15 23:33 UTC by Cody Beyer (MSFT)
Modified: 2016-11-24 18:57 UTC (History)
5 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments

Description Cody Beyer (MSFT) 2016-02-15 23:33:39 UTC
# Description

The following app demonstrates an issue with loading a large list view in UWP apps. 

# Sample

https://www.dropbox.com/s/mu43o8mvcsim3xc/Vivek%20Jhaveri%20-%20App.zip?dl=0

# Steps to Reproduce

1. Download sample
2. Load in Visual Studio
3. Deploy UWP

# Expected Results

10000 list view items should load as defined in NotebookViewModel.cs

# Actual Results

App exits

# Versions

Microsoft Visual Studio 2015
Version 14.0.24720.00 Update 1
Microsoft .NET Framework
Version 4.6.01055

Installed Version: Community

Visual Basic 2015   00322-20000-00000-AA067
Microsoft Visual Basic 2015

Visual C# 2015   00322-20000-00000-AA067
Microsoft Visual C# 2015

Visual C++ 2015   00322-20000-00000-AA067
Microsoft Visual C++ 2015

Visual F# 2015   00322-20000-00000-AA067
Microsoft Visual F# 2015

Application Insights Tools for Visual Studio Package   4.2.60128.3
Application Insights Tools for Visual Studio

Common Azure Tools   1.5
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

NuGet Package Manager   3.3.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

TypeScript   1.7.6.0
TypeScript for Microsoft Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.24720.00
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.0.1.96 (dcea9c1)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   6.0.1.10 (e98e962)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   9.4.1.24 (47eb74b)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 Rui Marinho 2016-09-27 13:46:32 UTC
Should be fixed in 2.3.4-pre1
Comment 2 Parmendra Kumar 2016-11-24 18:57:32 UTC
I have checked this issue with Xamarin.Forms 2.3.4-pre1 and observed that this issue has been fixed.

Hence closing this issue.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 38777 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: